.enter-summoner-container{
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 30px 0 10px;
  flex-direction: column;
}

.summoner-data {
  padding: 30px 50px;
  display: flex;
  justify-content: space-evenly;
  flex-direction: row;
  align-items: center;
  background-color: lightgrey;

  .summoner-profile{
    display: flex;
    flex-direction: column;
    align-items: center;
    .icon {
      width: 100px;
      height: 100px;
      background-repeat: no-repeat;
      background-size: contain;
      position: relative;
      border: 4px solid black;
      border-radius: 50%;
      margin-bottom: 20px;

      p {
        position: absolute;
        margin-bottom: 0px;
        margin-left: auto;
        margin-right: auto;
        left: 0;
        right: 0;
        text-align: center;
        bottom: -15px;
        background-color: white;
        border: 4px solid black;
        border-radius: 20px;
        width: 30px;
      }
    }
}
.leagues-container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  width: 300px;
  align-items: center;

  .leagues-data {
    width: fit-content;
    height: 190px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: flex-start;
    img {
      width: 100px;
    }
  }
}
}



.best-champions-container {
  width: 25%;
  display: flex;
  flex-direction: column;
  align-items: center;

  .champions-container{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    align-content: flex-start;
    flex-wrap: wrap;


    .champion {
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      margin: 10px;
      cursor: pointer;

      img {
        max-width: 50px;
      }
    }
  }
}

.match-history-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 75%;
  margin: 0px 20px;

  .match {
    width: 100%;
    padding: 10px;

    .mat-expansion-panel{

      background-color: rgba(255,0,0,0.2);
      &.victory{
        background-color: #a3cfec;
      }
    }

    .teams-data {
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      .objectives-data{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 10px;
        background-color: white;

        .objectives {
          display: flex;
          flex-direction: row;

          .objective {
            margin: 0px 10px;
            display: flex;
            align-items: center;

            img{
              margin-right: 5px;
            }
          }
        }
      }

      .team {

        &.blue {
          background-color: #d8e3ec;
        }

        &.red {
          background-color: #e8dfe0;
        }

        .team-footer{
          background-color: rgba(255, 0, 0, 0.2);
          padding: 10px;
          display: flex;
          justify-content: space-between;
          &.victory{
            background-color: #a3cfec;
          }
        }

        .summoner-match-data {
          margin: 10px;
          display: grid;
          grid-template-columns: repeat(6, 1fr);
          justify-content: center;
          align-items: center;
          justify-items: center;
          column-gap: 20px;

          img {
            width: 40px;
          }

          .name{
            width: 110px;
          }
          .summoner-spells{
            display: flex;
          }
          .kda-container{
            width: 60px;
          }

          .items {
            display: flex;
            flex-direction: row;
            width: 245px;
            justify-content: flex-end;
          }

          .runes {
            display: flex;
            flex-direction: row;
          }
        }
      }
    }

    .summoner-match-data {
      display: grid;
      grid-template-columns: repeat(6, 1fr);
      justify-content: center;
      align-items: center;
      justify-items: center;
      column-gap: 20px;

      &.current-summoner {
        .items {
          .item img {
            width: 50px;
            height: 50px;
          }
        }
      }

      .first-summoner-column {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        .champ-summoners-images {
          display: flex;
          flex-direction: row;
          justify-content: center;

          img{     
            width: 60px;
            height: 60px;
          }

          .summoners-images {
            display: flex;
            flex-direction: column;

            img{
              width: 30px;
              height: 30px;
            }
          }
        }
      }

      .second-summoner-column {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 80px;

        .kda-container {
          display: flex;
          flex-direction: row;
        }
        .position-img{
          width: 40px;
          height: 40px;
        }
      }

      .third-summoner-column {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          width: 120px;
      }

      .items {
        display: flex;
        flex-direction: row;
        width: 350px;
        justify-content: flex-end;
        .item img {
          border-radius: 5px;
          width: 35px;
          height: 35px;
        }
      }

      .runes {
        display: flex;
        flex-direction: row;


        .column {
          display: flex;
          flex-direction: column;

          img {
            width: 30px;
            height: 30px;
          }
        }


      }
    }
  }

  .moreHistory {
    width: 75%;
    padding: 10px 30px;
    background-color: lightgray;
    border: 2px solid rgb(0,0,0,0.1);
    margin-top: 10px;
  }
}

.data-section {
  display: flex;
  flex-direction: row;
  width: 100%;
  max-width: 1200px;
  margin: 30px auto;
}


@media (max-width: 700px) {

  .summoner-data {
    flex-direction: column;
  }

  .data-section {
    flex-direction: column-reverse;
    .best-champions-container{
      width: 100%;
    }

    .match-history-container{
      width: 100%;
      margin: 0px 0px 60px;

      .match {
        padding: 10px 0px;
      }
    }
  }


  .match-history-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    width: 75%;
    margin: 0px 20px;
  
    .match {

      .summoner-match-data {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-content: center;
        align-items: center;
        justify-content: center;
        column-gap: 0px;

        .runes{
          display: none;
        }

        &.current-summoner{
          .items{
            display: flex;
            flex-direction: row;
            justify-content: flex-end;
            flex-wrap: wrap;
            width: unset;

            .item img{
              width: 25px;
              height: 25px;
              margin-right: 2px;
            }
          }
        }

        .first-summoner-column{
          .champ-summoners-images{
            img{
              width: 50px;
              height: 50px;
            }
            .summoners-images{
              img{
                width: 25px;
                height: 25px;
              }
            }
          }
        }

        .second-summoner-column{
          font-size: 10px;
          margin: 0px 10px;
        }
        .third-summoner-column {
          font-size: 10px;
        }
      }

      .teams-data{
        .objectives-data{
          .objectives-text{
            font-size: 14px;
          }
          .objectives{

            .objective{
              margin: 0px;
              margin-right: 5px;
              img{
                width: 25px;
                height: 25px;
              }
            }
          }
        }

        .team{
          .summoner-match-data{
            display: grid;
            grid-template-columns: repeat(5, 1fr);
            justify-content: center;
            align-items: center;
            justify-items: center;
            column-gap: 10px;
            .name{
              font-size: 10px;
              width: 45px;
            }
            .summoner-spells{
              display: flex;
              flex-direction: row;
              img{
                width: 30px;
              }
            }
            .kda-container{
              font-size: 10px;
              width: unset;
            }
            .runes{
              display: none;
            }
            .items{
              width: 100px;
              flex-wrap: wrap;
              .item{
                img{
                  width: 25px;
                  height: 25px;
                }
              }
            }
          }
        }
      }
    }
  }


}